import Vue from 'vue' // 引入vue框架
import router from './router' // router定义
import store from './store'
import App from './app.vue' // 初始化 vue页面
import './style.scss' // 公共样式

// import createBefore from './components/beforeEnter'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

/* 创建实例之前，通过导航守卫，处理部分逻辑，如：是否直接进入系统 */
// const before = createBefore()
/* 导航守卫 */
router.beforeEach((to, from, next) => {
  // before.update(to, from, next)
  next()
})

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
